%global require_ibus_version 1.2.99
%global require_libhangul_version 0.0.10
%if 0%{?fedora} > 15
%define have_bridge_hotkey 1
%else
%define have_bridge_hotkey 0
%endif

%if %have_bridge_hotkey
%global _with_hotkeys --with-hotkeys
%endif

Name:       ibus-hangul
Version:    1.3.1
Release:    7%{?dist}
Summary:    The Hangul engine for IBus input platform
License:    GPLv2+
Group:      System Environment/Libraries
URL:        http://code.google.com/p/ibus/
Source0:    http://ibus.googlecode.com/files/%{name}-%{version}.tar.gz
# dummy source to keep quilt series file
Source1:    series
Patch0:     ibus-hangul-ibus-1.4.patch
Patch1:     ibus-hangul-xx-icon-symbol.patch

BuildRequires:  gettext-devel
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  libhangul-devel >= %{require_libhangul_version}
BuildRequires:  pkgconfig
BuildRequires:  ibus-devel >= %{require_ibus_version}
%if %have_bridge_hotkey
BuildRequires:  ibus
%endif

Requires:   ibus >= %{require_ibus_version}
Requires:   libhangul >= %{require_libhangul_version}

%description
The Hangul engine for IBus platform. It provides Korean input method from
libhangul.

%prep
%setup -q
%patch0 -p1 -b .ibus-1.4
%patch1 -p1 -b .icon-symbol

%build
autoreconf
%configure --disable-static %{?_with_hotkeys}
# make -C po update-gmo
make %{?_smp_mflags}

%install
make DESTDIR=${RPM_BUILD_ROOT} install

%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_libexecdir}/ibus-engine-hangul
%{_libexecdir}/ibus-setup-hangul
%{_datadir}/ibus-hangul
%{_datadir}/ibus/component/*

%changelog
* Fri Aug 19 2011 Daiki Ueno <dueno@redhat.com> - 1.3.1-7
- Enable --with-hotkeys for F16 or later.
- Fix bug 731913 - No Hangul Key in keyboard Shortcuts

* Mon Jul 18 2011 Daiki Ueno <ueno@unixuser.org> - 1.3.1-6
- Fix entity reference for icon symbol.
- Fix bug 722566 - Cannot select Hangul Input Method on Ibus Preferences

* Thu Jul  7 2011 Daiki Ueno <dueno@redhat.com> - 1.3.1-5
- Don't specify --with-hotkeys.

* Mon Jul  4 2011 Daiki Ueno <dueno@redhat.com> - 1.3.1-4
- Added ibus-hangul-xx-icon-symbol.patch to enable the engine symbol & hotkeys.

* Wed May 11 2011 Daiki Ueno <dueno@redhat.com> - 1.3.1-3
- Update ibus-1.4 patch.
- Move the ibus version check into the patch from this spec.
- Fix bug 695971 - Hangul Keybaord Layout works to only dubeolsik

* Mon Apr  4 2011 Daiki Ueno <dueno@redhat.com> - 1.3.1-2
- Apply ibus-1.4 patch conditionally for SRPM compatibility.
- Drop buildroot, %%clean and cleaning of buildroot in %%install

* Mon Feb 28 2011 Daiki Ueno <dueno@redhat.com> - 1.3.1-1
- Update version to 1.3.1.

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0.20100329-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Nov  8 2010 Daiki Ueno <dueno@redhat.com> - 1.3.0.20100329-4
- Add ibus-hangul-gvariant.patch for ibus-1.3.99

* Mon Aug 23 2010 Daiki Ueno <dueno@redhat.com> - 1.3.0.20100329-3
- Update ibus-hangul-HEAD.patch

* Tue Aug  3 2010 Daiki Ueno <dueno@redhat.com> - 1.3.0.20100329-1
- Update version to 1.3.0.20100329
- Add ibus-hangul-HEAD.patch to synch it with the git master

* Thu Feb 04 2010 Peng Huang <shawn.p.huang@gmail.com> - 1.2.0.20100102-1
- Update version to 1.2.0.20100102
- Add ibus-hangul-phuang.patch for ibus-1.2.99

* Fri Dec 11 2009 Peng Huang <shawn.p.huang@gmail.com> - 1.1.0.20091031-1
- Update version to 1.2.0.20091031.
- Drop ibus-hangul-1.1.0.20090328-right-ctrl-hanja.patch and
  ibus-hangul-1.1.0.20090328-hanja-arrow-keys.patch temporarily, because
  patches conflict with 1.2.0.20091031, and the key configure will available
  in next release.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0.20090617-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jun 22 2009 Peng Huang <shawn.p.huang@gmail.com> - 1.1.0.20090330-1
- Update version to 1.2.0.20090617.

* Sun Apr 12 2009 Warren Togami <wtogami@redhat.com> - 1.1.0.20090330-2
- Bug 493706: ibus-hangul Hanja arrow keys are wrong
- Bug 493509: ibus-hangul missing right Ctrl for Hanja button
  These fixes are not ideal, but they make it usable for Fedora 11.
  These must become configurable in a future version.

* Mon Mar 30 2009 Peng Huang <shawn.p.huang@gmail.com> - 1.1.0.20090330-1
- Update version to 1.1.0.20090330.
- Fix bug 486056 - missing options for 2bul, 3bul and other Korean layouts
- Fix bug 487269 - missing Hanja Conversion

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0.20090211-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 11 2009 Peng Huang <shawn.p.huang@gmail.com> - 1.1.0.20090211-1
- Update version to 1.1.0.20090211.

* Thu Feb 05 2009 Peng Huang <shawn.p.huang@gmail.com> - 1.1.0.20090205-1
- Update version to 1.1.0.20090205.

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.1.1.20081023-2
- Rebuild for Python 2.6

* Thu Oct 23 2008 Peng Huang <shawn.p.huang@gmail.com> - 0.1.1.20081023-1
- Update to 0.1.1.20081023.

* Mon Sep 09 2008 Peng Huang <shawn.p.huang@gmail.com> - 0.1.1.20080901-1
- Update to 0.1.1.20080901.

* Fri Aug 08 2008 Peng Huang <shawn.p.huang@gmail.com> - 0.1.1.20080823-1
- The first version.
